cgGetErrorHandler(3)

NAME
cgGetErrorHandler - get the error handler callback function

SYNOPSIS
  #include <Cg/cg.h>
  typedef void (*CGerrorHandlerFunc)( CGcontext context,
                                      CGerror error,
                                      void * appdata );
  CGerrorHandlerFunc cgGetErrorHandler( void ** appdataptr );

PARAMETERS

appdataptr
    A pointer for an application provided data pointer.

RETURN VALUES
Returns the current error handler callback function.

Returns NULL if no callback function is set.

If appdataptr is not NULL then the current appdata pointer will be copied into the location pointed to by appdataptr.

DESCRIPTION
cgGetErrorHandler returns the current error handler callback function and application provided data pointer.

EXAMPLES
  void * appdata = NULL;
  CGerrorHandlerFunc errorHandler = cgGetErrorHandler( &appdata );

ERRORS
None.

HISTORY
cgGetErrorHandler was introduced in Cg 1.4.

SEE ALSO
the cgSetErrorHandler manpage